## gnugo 1.2

=== Makefile ===
#---------------------------
# Makefile for GNUGO on UNIX
#
# Usage: make
#---------------------------

SRC = count.c \
      countlib.c \
      endgame.c \
      eval.c \
      exambord.c \
      findcolr.c \
      findnext.c \
      findopen.c \
      findpatn.c \
      findsavr.c \
      findwinr.c \
      fioe.c \
      genmove.c \
      getij.c \
      getmove.c \
      initmark.c \
      main.c \
      matchpat.c \
      opening.c \
      openregn.c \
      sethand.c \
      showbord.c \
      showinst.c \
      suicide.c

PRG = gnugo

OBJ = $(SRC:.c=.o)

CFLAGS = -O

$(PRG) : $(OBJ)
	$(CC) $(OBJ) -o $@
	/bin/rm -f *.o

matchpat.o : patterns.h
$(OBJ) : gnugo.h

## gnugo 3.7.10m1-1

=== debian/changelog ===
gnugo (3.7.10m1-1) unstable; urgency=low

  * Maemo edition

 -- Rene Hexel <rhx@users.sourceforge.net>  Sat, 11 Nov 2006 08:32:25 +1000

gnugo (3.7.10-1) unstable; urgency=low

  * New upstream development release.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Mon, 11 Sep 2006 03:24:15 +0200

gnugo (3.7.9-1) unstable; urgency=low

  * New upstream development release.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 12 Mar 2006 08:25:15 +0100

gnugo (3.7.8-1) unstable; urgency=low

  * New upstream development release,
    closes: #350990,
    closes: #341020 (various board size bugs).

 -- Martin A. Godisch <godisch@debian.org>  Sun, 05 Feb 2006 09:24:45 +0100

gnugo (3.7.7-1) unstable; urgency=low

  * New upstream development release,
    closes: #330935 ("You stepped on a bug" on powerpc).

 -- Martin A. Godisch <godisch@debian.org>  Mon, 10 Oct 2005 19:18:35 +0200

gnugo (3.7.5-1) unstable; urgency=low

  * New upstream development release.

 -- Martin A. Godisch <godisch@debian.org>  Wed, 21 Sep 2005 05:22:20 +0200

gnugo (3.7.4-2) unstable; urgency=low

  * Fixed texi2html call, closes: #326734.
  * Removed /usr/doc/gnugo symlink, closes: #322785.
  * Updated menu path.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 18 Sep 2005 14:59:10 +0200

gnugo (3.7.4-1) unstable; urgency=low

  * New upstream development release.

 -- Martin A. Godisch <godisch@debian.org>  Thu, 16 Jun 2005 19:18:50 +0200

gnugo (3.6-2) unstable; urgency=low

  * Marked stones on ASCII board, closes: #296398.
    Thanks to Paul Pogonyshev.

 -- Martin A. Godisch <godisch@debian.org>  Tue, 22 Feb 2005 16:53:00 +0100

gnugo (3.6-1) unstable; urgency=low

  * New upstream release.

 -- Martin A. Godisch <godisch@debian.org>  Thu, 18 Nov 2004 19:41:25 +0100

gnugo (3.5.10-2) unstable; urgency=low

  * Moving into unstable on upstream request.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 14 Aug 2004 13:55:45 +0200

gnugo (3.5.10-1) experimental; urgency=low

  * New upstream development release.
  * Added qgo to suggests.
  * Added watch file.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 07 Aug 2004 19:46:02 +0200

gnugo (3.5.9-1) experimental; urgency=low

  * New upstream development release.
  * Fixed POSIX compliance of debian/rules.

 -- Martin A. Godisch <godisch@debian.org>  Wed, 21 Jul 2004 17:14:31 +0200

gnugo (3.5.8-1) experimental; urgency=low

  * New upstream development release.

 -- Martin A. Godisch <godisch@debian.org>  Wed, 09 Jun 2004 18:13:03 +0200

gnugo (3.5.7-1) experimental; urgency=low

  * New upstream development release.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 29 May 2004 08:07:01 +0200

gnugo (3.5.6-1) experimental; urgency=low

  * New upstream development release.

 -- Martin A. Godisch <godisch@debian.org>  Fri, 23 Apr 2004 22:33:10 +0200

gnugo (3.5.5-1) experimental; urgency=low

  * New upstream development release.

 -- Martin A. Godisch <godisch@debian.org>  Thu, 15 Apr 2004 18:36:18 +0200

gnugo (3.5.4-2) experimental; urgency=low

  * Replaced gnugo.ps with HTML documentation, adjusted build-dependencies.

 -- Martin A. Godisch <godisch@debian.org>  Tue, 17 Feb 2004 20:15:45 +0100

gnugo (3.4-4) unstable; urgency=low

  * Replaced gnugo.ps with HTML documentation, adjusted build-dependencies.

 -- Martin A. Godisch <godisch@debian.org>  Tue, 17 Feb 2004 20:15:45 +0100

gnugo (3.5.4-1) experimental; urgency=low

  * New upstream development release.

 -- Martin A. Godisch <godisch@debian.org>  Tue, 17 Feb 2004 08:11:21 +0100

gnugo (3.4-3) unstable; urgency=low

  * Added gnugo.ps, adjusted build-dependencies.
  * Added NEWS file.

 -- Martin A. Godisch <godisch@debian.org>  Tue, 17 Feb 2004 08:11:21 +0100

gnugo (3.4-2) unstable; urgency=low

  * Updated build-dependency.
  * Added DEBIAN/md5sums.
  * Fixed dashes in manual page.
  * Fixed installation of debian/prerm.
  * Fixed permissions of DEBIAN/control.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 15 Feb 2004 08:49:50 +0100

gnugo (3.4-1) unstable; urgency=low

  * New maintainer.
  * New upstream release, closes: #204178,
    closes: #153028 (bad URL in manual page),
    closes: #180406 (bad title in manual page).
  * Updated debian/ directory, package description, etc.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 19 Oct 2003 18:26:45 +0200

gnugo (3.2-1) unstable; urgency=low

  * New upstream version.

 -- Brian Mays <brian@debian.org>  Sun, 28 Apr 2002 13:55:31 -0400

gnugo (3.0.0-4) unstable; urgency=medium

  * Modified postinst to ignore an existing /usr/doc/$package directory.

 -- Brian Mays <brian@debian.org>  Wed, 20 Mar 2002 10:14:02 -0500

gnugo (3.0.0-3) unstable; urgency=low

  * Fixed symlink /usr/doc -> ../share/doc.
  * Fixed reference to GPL.
  * Improved stripping of binaries.
  * Removed icon=none from menu file.
  * Added a debugboard man page.

 -- Brian Mays <brian@debian.org>  Sat,  2 Feb 2002 17:52:06 -0500

gnugo (3.0.0-2) unstable; urgency=low

  * Added "Go" menu hint.  (Closes: Bug#121014)

 -- Brian Mays <brian@debian.org>  Mon, 26 Nov 2001 11:42:33 -0500

gnugo (3.0.0-1) unstable; urgency=low

  * New upstream version.

 -- Brian Mays <brian@debian.org>  Fri,  7 Sep 2001 10:40:57 -0400

gnugo (2.6-4) unstable; urgency=low

  * Removed "-g" gcc option as per policy.

 -- Brian Mays <brian@debian.org>  Mon,  9 Jul 2001 10:34:50 -0400

gnugo (2.6-3) unstable; urgency=low

  * Rebuilt to correctly partition the sources.

 -- Brian Mays <brian@debian.org>  Fri,  5 Jan 2001 13:26:40 -0500

gnugo (2.6-2) unstable; urgency=low

  * Added the Emacs mode for GNU Go to the package.

 -- Brian Mays <brian@debian.org>  Tue, 11 Apr 2000 09:33:38 -0400

gnugo (2.6-1) unstable; urgency=low

  * New upstream version.

 -- Brian Mays <brian@debian.org>  Sat, 19 Feb 2000 12:40:36 -0500

gnugo (2.4-3) unstable; urgency=low

  * Added build-time dependencies.



=== debian/control ===
Source: gnugo
Section: user/games
Priority: optional
Maintainer: Rene Hexel <rhx@users.sourceforge.net>
Build-Depends: libncurses5-dev
Standards-Version: 3.7.2

Package: gnugo
Architecture: any
Depends: ${shlibs:Depends}
Suggests: cgoban
Description: play the game of Go
 GNU Go is a free program that plays the game of Go, its homepage can
 be found at http://www.gnu.org/software/gnugo/. The program provides
 a text-only user interface, have a look at the cgoban or qgo package
 if you want to play on a graphical board.
 .
 Go is an ancient game originated from China, with a definite history
 of over 3000 years, although there are historians who say that the
 game was invented more than 4000 years ago. The Chinese call the game
 Weiqi, other names for Go include Baduk (Korean), Igo (Japanese), and
 Goe (Taiwanese).
 .
 In this game, each player tries to exert more influence on territory
 than her opponent, using threats of death, capture, or isolation. It
 is, therefore, a symbolic representation of the relationships between
 nations. Go is getting increasingly popular around the world,
 especially in Asian, European and American countries, with many
 worldwide competitions being held. 
 .
 The game of Go is played on a board. The Go set is comprised of the
 board, together with 181 black and 180 white stones. The standard
 board has 19 lines by 19 lines, but 13x13 and 9x9 boards can also be
 used. However, the 9x9 and 13x13 boards are usually for beginners;
 more advanced players would prefer the traditional 19x19 board. 
 .
 Compared to International Chess and Chinese Chess, Go has far fewer
 rules. Yet this allowed for all sorts of moves to be played, so Go
 can be a more intellectually challenging game than the other two
 types of Chess. Nonetheless, Go is not a difficult game to learn, so
 have a fun time playing the game with your friends. 
 .
 (adopted from http://senseis.xmp.net/?WhatIsGo)

=== debian/rules ===
#!/usr/bin/make -f

testdir  = test -f engine/gnugo.h && test -f debian/rules
testroot = test x`whoami` = xroot

# FOR AUTOCONF 2.52 AND NEWER ONLY
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	CONFFLAGS += --build $(DEB_HOST_GNU_TYPE)
else
	CONFFLAGS += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

CFLAGS = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
export CFLAGS

clean:
	$(testdir)
	rm -f  build
	-$(MAKE) distclean
	-cat `ls -r debian/patches/*.diff` /dev/null | patch -RENtp1 -r debian/rejected --no-backup-if-mismatch
	rm -f  debian/files debian/rejected debian/substvars doc/*.html
	rm -fr debian/gnugo

build:
	$(testdir)
	-cat debian/patches/*.diff | patch -Ntp1 -r debian/rejected --no-backup-if-mismatch
	./configure $(CONFFLAGS) --prefix=/usr --bindir=/usr/games --infodir=/usr/share/info --mandir=/usr/share/man
	$(MAKE)
# Add build-deps texinfo and tetex-bin if you enable this!
#	$(MAKE) -C doc gnugo.ps
# Add build-deps texi2html if you enable this!
#	cd doc && texi2html --split=chapter --output=. --Verbose gnugo.texi
#	touch $@

binary: binary-arch

binary-indep:

binary-arch: build
	$(testdir)
	$(testroot)
	rm -rf debian/gnugo

	$(MAKE) install DESTDIR=${CURDIR}/debian/gnugo
	rm -f debian/gnugo/usr/share/info/dir*
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	strip -R .comment -R .note debian/gnugo/usr/games/gnugo
endif
	install -d debian/gnugo/DEBIAN
	install -m 0755 debian/postinst debian/prerm debian/postrm debian/gnugo/DEBIAN
	cd debian/gnugo && find usr -type f -print0 | xargs -0 md5sum > DEBIAN/md5sums

	chmod -R u+w,go=u-w debian/gnugo

	dpkg-shlibdeps debian/gnugo/usr/games/gnugo
	dpkg-gencontrol -isp -pgnugo -Pdebian/gnugo
	chmod 0644 debian/gnugo/DEBIAN/control
	dpkg --build debian/gnugo ..

.PHONY: clean binary binary-arch binary-indep

=== debian/watch ===
version=2
ftp://sporadic.stanford.edu/pub/gnugo-(.*)\.tar\.gz debian

## gnugo 3.8

=== engine/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})
INCLUDE_DIRECTORIES(${GNUGo_SOURCE_DIR}/patterns)
INCLUDE_DIRECTORIES(${GNUGo_SOURCE_DIR}/sgf)
INCLUDE_DIRECTORIES(${GNUGo_SOURCE_DIR}/utils)


########### engine library ###############

SET(engine_STAT_SRCS
    aftermath.c
    board.c
    boardlib.c
    breakin.c
    cache.c
    clock.c
    combination.c
    dragon.c
    endgame.c
    filllib.c
    fuseki.c
    genmove.c
    globals.c
    handicap.c
    hash.c
    influence.c
    interface.c
    matchpat.c
    montecarlo.c
    move_reasons.c
    movelist.c
    optics.c
    oracle.c
    owl.c
    persistent.c
    printutils.c
    readconnect.c
    reading.c
    semeai.c
    sgfdecide.c
    sgffile.c
    shapes.c
    showbord.c
    surround.c
    unconditional.c
    utils.c
    value_moves.c
    worm.c
    )

ADD_LIBRARY(engine STATIC ${engine_STAT_SRCS})


########### board library ###############

SET(board_STAT_SRCS
    board.c
    boardlib.c
    hash.c
    printutils.c
    )

ADD_LIBRARY(board STATIC ${board_STAT_SRCS})

=== patterns/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${GNUGo_SOURCE_DIR}/patterns)
INCLUDE_DIRECTORIES(${GNUGo_SOURCE_DIR}/engine)
INCLUDE_DIRECTORIES(${GNUGo_SOURCE_DIR}/sgf)
INCLUDE_DIRECTORIES(${GNUGo_SOURCE_DIR}/utils)

########### mkpat program ###############

SET(mkpat_SRCS
    mkpat.c
    transform.c
    dfa.c
    )

ADD_EXECUTABLE(mkpat ${mkpat_SRCS})

TARGET_LINK_LIBRARIES(mkpat utils)


########### joseki program ###############

SET(joseki_SRCS
    joseki.c
    )

ADD_EXECUTABLE(joseki ${joseki_SRCS})

TARGET_LINK_LIBRARIES(joseki board sgf utils)


########### mkeyes program ###############

SET(mkeyes_SRCS
    mkeyes.c
    )

ADD_EXECUTABLE(mkeyes ${mkeyes_SRCS})

TARGET_LINK_LIBRARIES(mkeyes utils)


########### mkmcpat program ###############

SET(mkmcpat_SRCS
    mkmcpat.c
    )

ADD_EXECUTABLE(mkmcpat ${mkmcpat_SRCS})

IF(UNIX)
    SET(PLATFORM_LIBRARIES m)
ENDIF(UNIX)

TARGET_LINK_LIBRARIES(mkmcpat engine sgf utils ${PLATFORM_LIBRARIES})


########### uncompress_fuseki program ###############

SET(uncompress_fuseki_SRCS
    uncompress_fuseki.c
    )

ADD_EXECUTABLE(uncompress_fuseki ${uncompress_fuseki_SRCS})

TARGET_LINK_LIBRARIES(uncompress_fuseki utils board sgf)


########### extract_fuseki program ###############

SET(extract_fuseki_SRCS
    extract_fuseki.c
    )

ADD_EXECUTABLE(extract_fuseki ${extract_fuseki_SRCS})

TARGET_LINK_LIBRARIES(extract_fuseki engine patterns
                      engine patterns sgf utils)


########### next target ###############

SET(compress_fuseki_SRCS
    compress_fuseki.c
    )

ADD_EXECUTABLE(compress_fuseki ${compress_fuseki_SRCS})

TARGET_LINK_LIBRARIES(compress_fuseki)


########### Generate files. ##############

GET_TARGET_PROPERTY(JOSEKI_EXE joseki LOCATION)
GET_TARGET_PROPERTY(MKPAT_EXE mkpat LOCATION)
GET_TARGET_PROPERTY(MKEYES_EXE mkeyes LOCATION)
GET_TARGET_PROPERTY(MKMCPAT_EXE mkmcpat LOCATION)
GET_TARGET_PROPERTY(UNCOMPRESS_FUSEKI_EXE uncompress_fuseki LOCATION)

SET(JOSEKI_INPUTS "")
SET(JOSEKI_NAMES "")
SET(GG_BUILT_SOURCES "")
MACRO(BUILD_JOSEKI NAME PREFIX)
    ADD_CUSTOM_COMMAND(
        OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${NAME}.db
        COMMAND ${JOSEKI_EXE} ${PREFIX}
	        ${CMAKE_CURRENT_SOURCE_DIR}/${NAME}.sgf
                > ${CMAKE_CURRENT_BINARY_DIR}/${NAME}.db
        DEPENDS joseki ${CMAKE_CURRENT_SOURCE_DIR}/${NAME}.sgf
    )
    SET(JOSEKI_INPUTS ${JOSEKI_INPUTS}
                      "-i" ${CMAKE_CURRENT_BINARY_DIR}/${NAME}.db)
    SET(JOSEKI_NAMES ${JOSEKI_NAMES}
                     ${CMAKE_CURRENT_BINARY_DIR}/${NAME}.db)
ENDMACRO(BUILD_JOSEKI)

BUILD_JOSEKI(gogo JG)
BUILD_JOSEKI(hoshi_keima JHK)
BUILD_JOSEKI(hoshi_other JHO)
BUILD_JOSEKI(komoku JK)
BUILD_JOSEKI(sansan JS)
BUILD_JOSEKI(mokuhazushi JM)
BUILD_JOSEKI(takamoku JT)

MACRO(RUN_MKPAT OPTIONS1 OPTIONS2 PATNAME DBNAME CNAME)
    ADD_CUSTOM_COMMAND(
        OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${CNAME}
        COMMAND ${MKPAT_EXE} ${OPTIONS1} ${OPTIONS2} ${PATNAME}
                             -i ${CMAKE_CURRENT_SOURCE_DIR}/${DBNAME}
                             -o ${CMAKE_CURRENT_BINARY_DIR}/${CNAME}
        DEPENDS mkpat ${CMAKE_CURRENT_SOURCE_DIR}/${DBNAME}
        )
    SET(GG_BUILT_SOURCES ${GG_BUILT_SOURCES} ${CMAKE_CURRENT_BINARY_DIR}/${CNAME})
ENDMACRO(RUN_MKPAT)

SET(DFAFLAGS -D -m)

MACRO(RUN_MKPAT_DFA OPTIONS PATNAME DTRNAME DBNAME CNAME)
    ADD_CUSTOM_COMMAND(
        OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/${CNAME}
        COMMAND ${MKPAT_EXE} ${DFAFLAGS} ${OPTIONS}
                             -t ${CMAKE_CURRENT_SOURCE_DIR}/${DTRNAME} ${PATNAME}
                             -i ${CMAKE_CURRENT_SOURCE_DIR}/${DBNAME}
                             -o ${CMAKE_CURRENT_BINARY_DIR}/${CNAME}
        DEPENDS mkpat ${CMAKE_CURRENT_SOURCE_DIR}/${DBNAME}
                      ${CMAKE_CURRENT_SOURCE_DIR}/${DTRNAME}
        )
    SET(GG_BUILT_SOURCES ${GG_BUILT_SOURCES} ${CMAKE_CURRENT_BINARY_DIR}/${CNAME})
ENDMACRO(RUN_MKPAT_DFA)

MACRO(RUN_UNCOMPRESS_FUSEKI BOARDSIZE)
    ADD_CUSTOM_COMMAND(
        OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/fuseki${BOARDSIZE}.c
        COMMAND ${UNCOMPRESS_FUSEKI_EXE} ${BOARDSIZE}
                             ${CMAKE_CURRENT_SOURCE_DIR}/fuseki${BOARDSIZE}.dbz
                             c > ${CMAKE_CURRENT_BINARY_DIR}/fuseki${BOARDSIZE}.c
        DEPENDS uncompress_fuseki
                ${CMAKE_CURRENT_SOURCE_DIR}/fuseki${BOARDSIZE}.dbz
        )
    SET(GG_BUILT_SOURCES ${GG_BUILT_SOURCES}
                         ${CMAKE_CURRENT_BINARY_DIR}/fuseki${BOARDSIZE}.c)
ENDMACRO(RUN_UNCOMPRESS_FUSEKI)

# FIXME: It's very ugly that the RUN_MKPAT macro takes two separate
# option arguments, where one is in most cases eliminated by using "".
# The problem with just having one option argument is that specifying
# it as "-c -b" causes the space to be escaped into "-c\ -b". There is
# probably some trivial workaround for someone who actually knows cmake.
RUN_MKPAT(-X "" attpat attack.db apatterns.c)
RUN_MKPAT("" "" defpat defense.db dpatterns.c)
RUN_MKPAT(-b "" handipat handicap.db handipat.c)
RUN_MKPAT(-c "" influencepat influence.db influence.c)
RUN_MKPAT(-c -b barrierspat barriers.db barriers.c)
RUN_MKPAT(-b "" endpat endgame.db endgame.c)
RUN_MKPAT(-c "" conn conn.db conn.c)
RUN_MKPAT(-b "" fusekipat fuseki.db fusekipat.c)
RUN_MKPAT_DFA(-b aa_attackpat aa_attackpats.dtr aa_attackpats.db aa_attackpat.c)
RUN_MKPAT_DFA(-b owl_vital_apat owl_vital_apats.dtr owl_vital_apats.db owl_vital_apat.c)
RUN_MKPAT_DFA(-b owl_attackpat owl_attackpats.dtr owl_attackpats.db owl_attackpat.c)
RUN_MKPAT_DFA(-b owl_defendpat owl_defendpats.dtr owl_defendpats.db owl_defendpat.c)
RUN_UNCOMPRESS_FUSEKI(9)
RUN_UNCOMPRESS_FUSEKI(13)
RUN_UNCOMPRESS_FUSEKI(19)

ADD_CUSTOM_COMMAND(
   OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/josekidb.c
   COMMAND ${MKPAT_EXE} -C joseki ${JOSEKI_INPUTS}
                        -o ${CMAKE_CURRENT_BINARY_DIR}/josekidb.c
   DEPENDS mkpat ${JOSEKI_NAMES}
   )
SET(GG_BUILT_SOURCES ${GG_BUILT_SOURCES}
                     ${CMAKE_CURRENT_BINARY_DIR}/josekidb.c)

ADD_CUSTOM_COMMAND(
   OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/patterns.c
   COMMAND ${MKPAT_EXE} -b pat -i ${CMAKE_CURRENT_SOURCE_DIR}/patterns.db
                               -i ${CMAKE_CURRENT_SOURCE_DIR}/patterns2.db
                               -o ${CMAKE_CURRENT_BINARY_DIR}/patterns.c
   DEPENDS mkpat ${CMAKE_CURRENT_SOURCE_DIR}/patterns.db
                 ${CMAKE_CURRENT_SOURCE_DIR}/patterns2.db
   )
SET(GG_BUILT_SOURCES ${GG_BUILT_SOURCES}
                     ${CMAKE_CURRENT_BINARY_DIR}/patterns.c)

ADD_CUSTOM_COMMAND(
   OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/eyes.c
   COMMAND ${MKEYES_EXE} < ${CMAKE_CURRENT_SOURCE_DIR}/eyes.db
                         > ${CMAKE_CURRENT_BINARY_DIR}/eyes.c
   DEPENDS mkeyes ${CMAKE_CURRENT_SOURCE_DIR}/eyes.db
   )
SET(GG_BUILT_SOURCES ${GG_BUILT_SOURCES} ${CMAKE_CURRENT_BINARY_DIR}/eyes.c)

ADD_CUSTOM_COMMAND(
   OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/mcpat.c
   COMMAND ${MKMCPAT_EXE} ${CMAKE_CURRENT_SOURCE_DIR}/mc_montegnu_classic.db
                          ${CMAKE_CURRENT_SOURCE_DIR}/mc_mogo_classic.db
                          ${CMAKE_CURRENT_SOURCE_DIR}/mc_uniform.db
			  > ${CMAKE_CURRENT_BINARY_DIR}/mcpat.c
   DEPENDS mkmcpat ${CMAKE_CURRENT_SOURCE_DIR}/mkmcpat.c
                   ${CMAKE_CURRENT_SOURCE_DIR}/mc_montegnu_classic.db
                   ${CMAKE_CURRENT_SOURCE_DIR}/mc_mogo_classic.db
                   ${CMAKE_CURRENT_SOURCE_DIR}/mc_uniform.db
   )

SET(GG_BUILT_SOURCES ${GG_BUILT_SOURCES}
                     ${CMAKE_CURRENT_BINARY_DIR}/mcpat.c)



########### patterns library ###############

SET(patterns_STAT_SRCS
    connections.c
    helpers.c
    transform.c
    ${GG_BUILT_SOURCES}
    )

ADD_LIBRARY(patterns STATIC ${patterns_STAT_SRCS})

=== sgf/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${GNUGo_SOURCE_DIR}/utils)

########### sgfgen program ###############

SET(sgfgen_SRCS
    sgfgen.c
    )

ADD_EXECUTABLE(sgfgen ${sgfgen_SRCS})

TARGET_LINK_LIBRARIES(sgfgen)


########### sgf library ###############

SET(sgf_STAT_SRCS
    sgf_utils.c
    sgfnode.c
    sgftree.c
    )

ADD_LIBRARY(sgf STATIC ${sgf_STAT_SRCS})

=== utils/CMakeLists.txt ===
SET(utils_STAT_SRCS
    getopt.c
    getopt1.c
    random.c
    gg_utils.c
    winsocket.c
    )

ADD_LIBRARY(utils STATIC ${utils_STAT_SRCS})

=== debian/changelog ===
gnugo (3.8-13) unstable; urgency=low

  * Switched build system to debhelper.
  * Fixed dependencies, closes: #1013694.
  * Added watch file.

 -- Martin A. Godisch <godisch@debian.org>  Mon, 25 Mar 2024 09:05:20 +0100

gnugo (3.8-12) unstable; urgency=low

  * source-only upload

 -- Martin A. Godisch <godisch@debian.org>  Sun, 24 Mar 2024 12:57:19 +0100

gnugo (3.8-11) unstable; urgency=medium

  * source-only upload

 -- Martin A. Godisch <godisch@debian.org>  Sun, 26 Jul 2020 12:47:37 +0200

gnugo (3.8-10) unstable; urgency=medium

  * Fixed gcc-10 compilation, closes: #957288.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 25 Jul 2020 08:59:59 +0200

gnugo (3.8-9) unstable; urgency=low

  * Made build reproducible, closes: #815601. Thanks to Reiner Herrmann.
  * Removed menu file according to #741573.
  * Removed full path from postinst and postrm.
  * Updated standards version, no changes necessary.

 -- Martin A. Godisch <godisch@debian.org>  Tue, 23 Feb 2016 10:14:36 +0100

gnugo (3.8-8) unstable; urgency=low

  * Added menu and desktop file icons, closes: #737918.
  * Added site-start.d/50gnugo.el, closes: #756950. Thanks to Ivan Shmakov.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 10 Aug 2014 22:23:03 +0200

gnugo (3.8-7) unstable; urgency=low

  * Added desktop file, closes: #708627.
  * Fixed build flags.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 28 Dec 2013 16:19:45 +0100

gnugo (3.8-6) unstable; urgency=low

  * Fixed FTBFS, closes: #712338. Thanks to Bill Allombert.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 09 Nov 2013 18:24:59 +0100

gnugo (3.8-5) unstable; urgency=low

  * Switched to Debian source format 3.0 (quilt).
  * Updated dependencies, added quarry to suggestions.
  * Enabled regression tests.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 23 Apr 2011 11:58:53 +0200

gnugo (3.8-4) unstable; urgency=low

  * Fixed /usr/doc/gnugo removal, closes: #580329.
  * Removed install-info from maintainer scripts.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Thu, 27 May 2010 03:02:42 +0200

gnugo (3.8-3) unstable; urgency=low

  * Fixed newline handling with libreadline, closes: #557756.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Tue, 24 Nov 2009 21:18:36 +0100

gnugo (3.8-2) unstable; urgency=low

  * Updated build-dependencies.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 13 Sep 2009 19:22:13 +0200

gnugo (3.8-1) unstable; urgency=low

  * New stable upstream release.

 -- Martin A. Godisch <godisch@debian.org>  Thu, 19 Feb 2009 18:34:35 +0100

gnugo (3.8~rc1-3) unstable; urgency=low

  * Enabled libreadline support, closes: #296391.

 -- Martin A. Godisch <godisch@debian.org>  Tue, 17 Feb 2009 19:32:05 +0100

gnugo (3.8~rc1-2) unstable; urgency=low

  * Added texinfo to build-dependencies, closes: #515536.

 -- Martin A. Godisch <godisch@debian.org>  Tue, 17 Feb 2009 18:31:20 +0100

gnugo (3.8~rc1-1) unstable; urgency=low

  * New upstream development release, closes: #509868.
  * Updated copyright file.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 15 Feb 2009 13:05:15 +0100

gnugo (3.7.13-1) unstable; urgency=low

  * New upstream development release.
  * Updated clean target.
  * Added homepage control field, updated package description.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 27 Dec 2008 10:58:02 +0100

gnugo (3.7.12-1) unstable; urgency=low

  * New upstream development release.
  * Updated standards version.

 -- Martin A. Godisch <godisch@debian.org>  Sun, 13 Apr 2008 09:54:58 +0200

gnugo (3.7.11-2) unstable; urgency=low

  * http://trac.gnugo.org/gnugo/attachment/ticket/194/gunnar_7_12.2.diff
    Closes: #449311.
  * Mentioned, that commands may be abbreviated, closes: #296394.
  * Removed broken watch file, closes: #449783.

 -- Martin A. Godisch <godisch@debian.org>  Mon, 10 Dec 2007 19:54:55 +0100

gnugo (3.7.11-1) unstable; urgency=low

  * New upstream development release.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 03 Nov 2007 10:02:05 +0100

gnugo (3.7.10-2) unstable; urgency=low

  * Updated gnugo.el from http://www.gnuvola.org/software/, closes: #435191.
  * Fixed timestamps.
  * Fixed distclean target.

 -- Martin A. Godisch <godisch@debian.org>  Sat, 06 Oct 2007 10:54:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: gnugo
-Section: user/games
+Section: games
 Priority: optional
-Maintainer: Rene Hexel <rhx@users.sourceforge.net>
-Build-Depends: libncurses5-dev
-Standards-Version: 3.7.2
+Maintainer: Martin A. Godisch <godisch@debian.org>
+Build-Depends: debhelper-compat (= 13), dh-exec, libncurses-dev, libreadline-dev, texinfo, texi2html
+Standards-Version: 4.6.2
+Homepage: http://www.gnu.org/software/gnugo/
 
 Package: gnugo
 Architecture: any
-Depends: ${shlibs:Depends}
-Suggests: cgoban
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Suggests: quarry | cgoban | qgo
 Description: play the game of Go
- GNU Go is a free program that plays the game of Go, its homepage can
- be found at http://www.gnu.org/software/gnugo/. The program provides
- a text-only user interface, have a look at the cgoban or qgo package
- if you want to play on a graphical board.
+ GNU Go is a free program that plays the game of Go. It provides a
+ text-only user interface, have a look at the cgoban or qgo package if
+ you want to play on a graphical board.
  .
  Go is an ancient game originated from China, with a definite history
  of over 3000 years, although there are historians who say that the

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_clean:
	dh_clean
	rm -f doc/gnugo_*.html doc/gnugo.info doc/gnugo.info-?

override_dh_auto_build:
	dh_auto_build
	cd doc && texi2html --split=chapter --output=. --Verbose gnugo.texi

override_dh_install:
	dh_install
	install -p -m 0755 -d debian/gnugo/usr/share/doc/gnugo/html
	install -p -m 0644 doc/*.html doc/*.png debian/gnugo/usr/share/doc/gnugo/html

=== debian/watch ===
version=4
https://ftp.gnu.org/gnu/gnugo gnugo-(.*)\.tar\.gz
